idle-python3.6_3.6.7-1~18.04_all.deb


Advertisement

Description

idle-python3.6 - IDE for Python (v3.6) using Tkinter

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package name idle-python3.6
Package version 3.6.7
Package release 1~18.04
Package architecture all
Package type deb
Installed size 1.22 KB
Download size 251.13 KB
Official Mirror archive.ubuntu.com
IDLE is an Integrated Development Environment for Python (v3.6).
IDLE is written using Tkinter and therefore quite platform-independent.

Alternatives

Package Version Architecture Repository
idle-python3.6_3.6.7-1~18.04_all.deb 3.6.7 all Ubuntu Updates Universe
idle-python3.6_3.6.5-3_all.deb 3.6.5 all Ubuntu Universe
idle-python3.6_3.6.5-3_all.deb 3.6.5 all Ubuntu Universe
idle-python3.6 - - -

Requires

Name Value
python3 tk
python3.6 -
python3.6-tk -

Replaces

Name Value
libpython3.6-stdlib << 3.6.3-2

Download

Type URL
Binary Package idle-python3.6_3.6.7-1~18.04_all.deb
Source Package python3.6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install idle-python3.6 deb package:
    # sudo apt-get install idle-python3.6

Files

Path
/usr/bin/idle-python3.6
/usr/lib/python3.6/idlelib/CREDITS.txt
/usr/lib/python3.6/idlelib/ChangeLog
/usr/lib/python3.6/idlelib/HISTORY.txt
/usr/lib/python3.6/idlelib/NEWS.txt
/usr/lib/python3.6/idlelib/NEWS2x.txt
/usr/lib/python3.6/idlelib/README.txt
/usr/lib/python3.6/idlelib/TODO.txt
/usr/lib/python3.6/idlelib/__init__.py
/usr/lib/python3.6/idlelib/__main__.py
/usr/lib/python3.6/idlelib/_pyclbr.py
/usr/lib/python3.6/idlelib/autocomplete.py
/usr/lib/python3.6/idlelib/autocomplete_w.py
/usr/lib/python3.6/idlelib/autoexpand.py
/usr/lib/python3.6/idlelib/browser.py
/usr/lib/python3.6/idlelib/calltip_w.py
/usr/lib/python3.6/idlelib/calltips.py
/usr/lib/python3.6/idlelib/codecontext.py
/usr/lib/python3.6/idlelib/colorizer.py
/usr/lib/python3.6/idlelib/config-extensions.def
/usr/lib/python3.6/idlelib/config-highlight.def
/usr/lib/python3.6/idlelib/config-keys.def
/usr/lib/python3.6/idlelib/config-main.def
/usr/lib/python3.6/idlelib/config.py
/usr/lib/python3.6/idlelib/config_key.py
/usr/lib/python3.6/idlelib/configdialog.py
/usr/lib/python3.6/idlelib/debugger.py
/usr/lib/python3.6/idlelib/debugger_r.py
/usr/lib/python3.6/idlelib/debugobj.py
/usr/lib/python3.6/idlelib/debugobj_r.py
/usr/lib/python3.6/idlelib/delegator.py
/usr/lib/python3.6/idlelib/dynoption.py
/usr/lib/python3.6/idlelib/editor.py
/usr/lib/python3.6/idlelib/extend.txt
/usr/lib/python3.6/idlelib/filelist.py
/usr/lib/python3.6/idlelib/grep.py
/usr/lib/python3.6/idlelib/help.html
/usr/lib/python3.6/idlelib/help.py
/usr/lib/python3.6/idlelib/help_about.py
/usr/lib/python3.6/idlelib/history.py
/usr/lib/python3.6/idlelib/hyperparser.py
/usr/lib/python3.6/idlelib/idle.py
/usr/lib/python3.6/idlelib/idle.pyw
/usr/lib/python3.6/idlelib/iomenu.py
/usr/lib/python3.6/idlelib/macosx.py
/usr/lib/python3.6/idlelib/mainmenu.py
/usr/lib/python3.6/idlelib/multicall.py
/usr/lib/python3.6/idlelib/outwin.py
/usr/lib/python3.6/idlelib/paragraph.py
/usr/lib/python3.6/idlelib/parenmatch.py
/usr/lib/python3.6/idlelib/pathbrowser.py
/usr/lib/python3.6/idlelib/percolator.py
/usr/lib/python3.6/idlelib/pyparse.py
/usr/lib/python3.6/idlelib/pyshell.py
/usr/lib/python3.6/idlelib/query.py
/usr/lib/python3.6/idlelib/redirector.py
/usr/lib/python3.6/idlelib/replace.py
/usr/lib/python3.6/idlelib/rpc.py
/usr/lib/python3.6/idlelib/rstrip.py
/usr/lib/python3.6/idlelib/run.py
/usr/lib/python3.6/idlelib/runscript.py
/usr/lib/python3.6/idlelib/scrolledlist.py
/usr/lib/python3.6/idlelib/search.py
/usr/lib/python3.6/idlelib/searchbase.py
/usr/lib/python3.6/idlelib/searchengine.py
/usr/lib/python3.6/idlelib/stackviewer.py
/usr/lib/python3.6/idlelib/statusbar.py
/usr/lib/python3.6/idlelib/textview.py
/usr/lib/python3.6/idlelib/tooltip.py
/usr/lib/python3.6/idlelib/tree.py
/usr/lib/python3.6/idlelib/undo.py
/usr/lib/python3.6/idlelib/windows.py
/usr/lib/python3.6/idlelib/zoomheight.py
/usr/lib/python3.6/idlelib/zzdummy.py
/usr/lib/python3.6/idlelib/Icons/folder.gif
/usr/lib/python3.6/idlelib/Icons/idle.icns
/usr/lib/python3.6/idlelib/Icons/idle.ico
/usr/lib/python3.6/idlelib/Icons/idle_16.gif
/usr/lib/python3.6/idlelib/Icons/idle_16.png
/usr/lib/python3.6/idlelib/Icons/idle_32.gif
/usr/lib/python3.6/idlelib/Icons/idle_32.png
/usr/lib/python3.6/idlelib/Icons/idle_48.gif
/usr/lib/python3.6/idlelib/Icons/idle_48.png
/usr/lib/python3.6/idlelib/Icons/minusnode.gif
/usr/lib/python3.6/idlelib/Icons/openfolder.gif
/usr/lib/python3.6/idlelib/Icons/plusnode.gif
/usr/lib/python3.6/idlelib/Icons/python.gif
/usr/lib/python3.6/idlelib/Icons/tk.gif
/usr/share/applications/idle-python3.6.desktop
/usr/share/doc/idle-python3.6/NEWS.txt
/usr/share/doc/idle-python3.6/README.Debian
/usr/share/doc/idle-python3.6/README.txt
/usr/share/doc/idle-python3.6/TODO.txt
/usr/share/doc/idle-python3.6/changelog.Debian.gz
/usr/share/doc/idle-python3.6/copyright
/usr/share/doc/idle-python3.6/extend.txt
/usr/share/lintian/overrides/idle-python3.6
/usr/share/man/man1/idle-python3.6.1.gz

Changelog

2018-10-22 - Matthias Klose <doko@ubuntu.com>
python3.6 (3.6.7-1~18.04) bionic-proposed; urgency=medium
* SRU: LP: #1799206.
2018-10-21 - Matthias Klose <doko@debian.org>
python3.6 (3.6.7-1) unstable; urgency=medium
* Python 3.6.7 release.
2018-10-15 - Matthias Klose <doko@debian.org>
python3.6 (3.6.7~rc2-1) unstable; urgency=medium
* Python 3.6.7 release candidate 2.
2018-09-27 - Matthias Klose <doko@debian.org>
python3.6 (3.6.7~rc1-1) unstable; urgency=medium
* Python 3.6.7 release candidate 1.
2018-09-01 - Matthias Klose <doko@debian.org>
python3.6 (3.6.6-4) unstable; urgency=medium
* Update to 20180901 from the 3.6 branch.
* Add idle-python3.6 to the autopkg test depends.
2018-08-28 - Matthias Klose <doko@debian.org>
python3.6 (3.6.6-3) unstable; urgency=medium
* Update to 20180828 from the 3.6 branch.
* Disable running some tests which are not ready for Debian's OpenSSL
defaults (test_{asyncio,ftplib,httplib,imaplib,nntplib,poplib,ssl}).
Closes: #907215.
2018-08-20 - Matthias Klose <doko@debian.org>
python3.6 (3.6.6-2) unstable; urgency=medium
* Update to 20180820 from the 3.6 branch.
* Avoid usage of distutils in the platform module. See issue #26544.
* Move test/__main__.py into libpython3.6-stdlib.
* Pass the list of the pyFPE breaks as a parameter into dpkg-gencontrol
instead of hard-coding them in the control file.
2018-09-12 - Matthias Klose <doko@ubuntu.com>
python3.6 (3.6.6-1~18.04) bionic-proposed; urgency=medium
* SRU: LP: #1792143. Update Python 3.6 to the recent subminor release.
2018-06-27 - Matthias Klose <doko@debian.org>
python3.6 (3.6.6-1) unstable; urgency=medium
* Python 3.6.6 release.
2018-06-22 - Matthias Klose <doko@debian.org>
python3.6 (3.6.6~rc1-4) unstable; urgency=medium
* Update to 20180622 from the 3.6 branch.
- Fix installation of idlelib testsuite.

See Also

Package Description
idle-python3.7_3.7.1-1~18.04_all.deb IDE for Python (v3.7) using Tkinter
idle3_3.6.7-1~18.04_all.deb IDE for Python using Tkinter (transitional package)
idle_3.6.7-1~18.04_all.deb IDE for Python using Tkinter (default version)
imagemagick-6-doc_6.9.7.4+dfsg-16ubuntu6.4_all.deb document files of ImageMagick
imagemagick-6.q16hdri_6.9.7.4+dfsg-16ubuntu6.4_amd64.deb image manipulation programs -- quantum depth Q16HDRI
imagemagick-common_6.9.7.4+dfsg-16ubuntu6.4_all.deb image manipulation programs -- infrastructure dummy package
imagemagick-doc_6.9.7.4+dfsg-16ubuntu6.4_all.deb document files of ImageMagick -- dummy package
installation-guide-powerpc_20160121ubuntu4.3_all.deb Ubuntu installation guide for powerpc
iperf_2.0.10+dfsg1-1ubuntu0.18.04.1_amd64.deb Internet Protocol bandwidth measuring tool
ipmitool_1.8.18-5ubuntu0.1_amd64.deb utility for IPMI control with kernel driver or LAN interface (daemon)
iscsiuio_2.0.874-5ubuntu2.4_amd64.deb iSCSI offloading daemon for QLogic devices
kactivitymanagerd_5.12.7-0ubuntu0.1_amd64.deb System service to manage user's activities
kde-cli-tools-data_5.12.7-0ubuntu0.1_all.deb tools to use kioslaves from the command line
kde-cli-tools_5.12.7-0ubuntu0.1_amd64.deb tools to use KDE services from the command line
kde-config-gtk-style-preview_5.12.5-0ubuntu0.1_amd64.deb KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
Advertisement
Advertisement